<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( isset($_GET['szkic']) and $_GET['szkic'] == 1 )
	$szkic = true;
else
	$szkic = false;

if ( !defined('ID2') )
	define( 'ID2', null );

$odczytStrony = odczytStrony( ID2, $szkic );

if ( $odczytStrony != false ) {

	$odczytZawartosci = odczytStrony( ID2, $szkic, true );

	$odczytTypu = odczytTypuMotywu( 'typy', $odczytStrony['typ'] );
	if ( $odczytTypu['wlasny'] )
		$lokalizacjaTypu = DANE;
	else
		$lokalizacjaTypu = SYSTEM;

}
else
	$odczytTypu = false;

$wtUstawieniaStrony = &$odczytStrony;      // dla kodu typów zawartości stron
$wtZawartoscStrony  = &$odczytZawartosci;  // dla kodu typów zawartości stron
$wtKomunikat        = null;                // dla kodu typów zawartości stron
$wtWymuszenieZapisu = false;               // dla kodu typów zawartości stron
$wtEdytorWizualny   = false;               // dla kodu typów zawartości stron
$wtPotwierdzenie    = false;               // dla kodu typów zawartości stron
$wtPrzycisk         = 'Zapisz stronę';     // dla kodu typów zawartości stron
$wtOdnosnik = '?id=' . ID . '&b=' . ID2 . '&szkic=' . intval($szkic) . '&';   // ====

// kod typów zawartości stron, etap trzeci
if ( $odczytStrony != false ) {

	$wtEtapPaneluAdmin = 3;
	include( $lokalizacjaTypu . '/typy/' . $odczytStrony['typ'] . '/edycja.php' );

}

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $odczytStrony != false and $odczytTypu != false ) {

	// kod typów zawartości stron, etap drugi
	$wtEtapPaneluAdmin = 2;
	include( $lokalizacjaTypu . '/typy/' . $odczytStrony['typ'] . '/edycja.php' );

	zapisKonf( array( 'ostatniaAktualizacja' => time() ) );  // ostatnia aktualizacja witryny
	$odczytStrony['ostatniaAktualizacja'] = time();          // ostatnia aktualizacja tej strony

	if ( $szkic )
		zapisPlikuWTK ( $odczytStrony, 'szkice/' . ID2 . '.wtk' );
	else
		zapisPlikuWTK ( $odczytStrony, 'strony/' . ID2 . '.wtk' );

	zapisStronyZFormularza ( $odczytZawartosci, ID2, $szkic, true );

	if ( empty($wtKomunikat) )
		komunikat(1);

}

if ( !empty($wtKomunikat) )
	komunikat($wtKomunikat);

if ( !$odczytStrony )
	komunikat( 'zle.Strona z identyfikatorem <strong>' . ID2 . '</strong> nie istnieje.' );

elseif ( !$odczytTypu )
	komunikat( 'zle.Typ zawartości strony <strong>' . $odczytStrony['typ'] . '</strong> nie istnieje.' );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2><?php echo ( !empty($odczytStrony['tytul']) ) ? '<strong>' . tekst($odczytStrony['tytul']) . '</strong>' : '%BŁĄD%';?> &mdash; edycja <?php echo ($szkic) ? ' (szkic)' : ''; ?></h2>

<?php if ( isset($_GET['edycja']) ) { ?>
<p class="edycjaOdnosnikWstecz"><a href="?id=edycjaStrony&b=<?php echo ID2; if ($szkic) { ?>&szkic=1<?php } ?>">&laquo; Wstecz</a></p>
<?php } ?>

<form method="post" id="formularzZawartosci">

<?php
if ( $odczytTypu != false ) {

	// kod typów zawartości stron, etap pierwszy
	$wtEtapPaneluAdmin = 1;
	include( $lokalizacjaTypu . '/typy/' . $odczytStrony['typ'] . '/edycja.php' );

	if ( $wtEdytorWizualny )
		edytorWizualny();

	if ( $wtPotwierdzenie ) {
?>


<script>
	potwierdzenie = false;
	formularz     = false;

	document.getElementById('formularzZawartosci').onclick = function() {
		potwierdzenie = true;
	}

	document.getElementById('formularzZawartosci').onsubmit = function() {
		formularz = true;
	}


	window.onclick = function() {
		if ( CKEDITOR.instances.edytorWizualny.focusManager.hasFocus )
			potwierdzenie = true;
	}

	window.onbeforeunload = function() {
		if ( (!formularz && potwierdzenie) || (!formularz && CKEDITOR.instances.edytorWizualny.focusManager.hasFocus) )
			return 'Zmiany zawartości strony nie zostały zapisane.';
	}
</script>

<?php
	}

}
else {
?>

<div style="font-size: 2.4em; color: #CDCDCD; text-shadow: 0 0 4px #D2D2D2; max-width: 600px; margin: auto;">
<p>&bdquo;Inteligentny wszystko zauważa.<br />Głupi wszystko komentuje.&rdquo;</p>
<p style="font-size: 0.8em; text-align: right; margin-top: -0.85em; margin-bottom: 4em;">&mdash; Heinrich Heine</p>
</div>

<?php
}
?>

<?php if ( $wtPrzycisk != -1 ) { ?>
<p class="przyciskWysylania"><input <?php wylaczElement($wtPrzycisk,false); wylaczElement($odczytTypu,false); ?> type="submit" value="<?php echo ( empty($wtPrzycisk) ) ? 'Zapisz stronę' :  $wtPrzycisk; ?>" /></p>
<?php } ?>

</form>
<?php
if ( $wtWymuszenieZapisu )
	zapisStronyZFormularza ( $odczytZawartosci, ID2, $szkic, true );

include (SYSTEM.'/admin/stopka.php');