<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !defined('ID2') or ID2 == null or !file_exists( DANE . ID2 ) )
	przekierowanie( '?id=edytorPlikow&b=/' );

if ( isset($_GET['usun']) and !odczytKonf('wysokieZabezpieczenie') ) {

	if ( is_dir( DANE . ID2 ) ) {

		if ( count( glob(DANE . ID2 . '/*') ) > 0 )
			komunikat( 'zle.Folder <strong>' . basename(ID2) . '</strong> nie został usunięty, gdyż nie jest pusty.' );

		else {
			rmdir( DANE . ID2 );
			przekierowanie( '?id=edytorPlikow&b=' . substr( ID2, 0, strlen(ID2)-strlen(basename(ID2))-1 ) . '&usunietoFolder=' . basename(ID2) );
		}

	}

	else {
		usunPlik ( DANE . ID2 );
		przekierowanie( '?id=edytorPlikow&b=' . substr( ID2, 0, strlen(ID2)-strlen(basename(ID2))-1 ) . '&usunietoPlik=' . basename(ID2) );
	}

}

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and !odczytKonf('wysokieZabezpieczenie') ) {

	if ( isset($_GET['utworz']) ) {

		if ( !sprawdzNazwe( $_POST['nazwa'] ) )
			komunikat( 'zle.Nazwa <strong>' . $_POST['nazwa'] . '</strong> jest niewłaściwa.' );

		elseif ( file_exists( DANE . ID2 . '/' . $_POST['nazwa']  ) )
			komunikat( 'zle.Plik o nazwie <strong>' . $_POST['nazwa'] . '</strong> już istnieje.' );

		else {

			if ( $_POST['rodzaj'] == 'folder' )
				mkdir( DANE . ID2 . '/' . $_POST['nazwa'] );
			else
				zapiszPlik( DANE . ID2 . '/' . $_POST['nazwa'], '' );

			przekierowanie( '?id=edytorPlikow&b=' . ID2 . '&utworzonoPlikFolder=' . $_POST['nazwa'] );

		}

	}

	else {

		zapiszPlik( DANE . ID2, $_POST['zawartosc'] );
		komunikat( 'dob.Plik <strong>' . basename(ID2)  . '</strong> został zapisany.' );

		if ( $_POST['nazwa'] != basename(ID2) ) {

			$folder = substr( ID2, 0, strlen(ID2)-strlen(basename(ID2))-1 );

			if ( file_exists( DANE . $folder . '/' . $_POST['nazwa']  ) )
				komunikat( 'zle.Plik o nazwie <strong>' . $_POST['nazwa'] . '</strong> już istnieje.' );

			elseif ( !sprawdzNazwe( $_POST['nazwa'] ) )
				komunikat( 'zle.Nazwa <strong>' . $_POST['nazwa'] . '</strong> jest niewłaściwa.' );

			else {
				przemianujPlik( DANE . ID2, DANE . $folder . '/' . $_POST['nazwa'] );
				przekierowanie( '?id=edytorPlikow&b=' . $folder . '&zmienionoNazwe=' . $_POST['nazwa'] );
			}

		}

	}

}

$sciezka = ID2;

if ( isset($_GET['utworzonoPlikFolder']) )
	komunikat( 'dob.Plik lub folder <strong>' . $_GET['utworzonoPlikFolder'] . '</strong> został utworzony.' );
if ( isset($_GET['usunietoPlik']) )
	komunikat( 'dob.Plik <strong>' . $_GET['usunietoPlik'] . '</strong> został usunięty.' );
if ( isset($_GET['usunietoFolder']) )
	komunikat( 'dob.Folder <strong>' . $_GET['usunietoFolder'] . '</strong> został usunięty.' );
if ( isset($_GET['zmienionoNazwe']) )
	komunikat( 'dob.Plik <strong>' . $_GET['zmienionoNazwe'] . '</strong> został zapisany pod nową nazwą.' );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2><strong><?php
$sciezkaFoldery = explode('/',$sciezka);
unset($sciezkaFoldery[0]);
echo '/<a href="?id=edytorPlikow" title="Przeskocz do folderu głównego.">' . DANE . '</a>';

foreach ( $sciezkaFoldery as $klucz => $folder ) {

	if ( $folder != null ) {

		echo '/<a href="?id=edytorPlikow&b=';
		foreach ( $sciezkaFoldery as $kluczLink => $folderLink ) {
			echo '/' . $folderLink;
			if ( $kluczLink == $klucz )
				break;
		}
		echo '" title="Przeskocz do &bdquo;' . $folder . '&rdquo;.">' . $folder . '</a>';

	}

}
?></strong></h2>

<?php
if ( odczytKonf('wysokieZabezpieczenie') ) {
?>

<p class="uwaga">Tryb wysokiego zabezpieczenia jest obecnie włączony, dlatego dostęp do tego narzędzia jest niemożliwy. Aby zmienić ten stan, wyłącz tryb wysokiego zabezpieczenia, edytując plik konfiguracyjny WizyTówki.</p>

<?php
}

elseif ( isset($_GET['utworz']) ) {
?>

<form method="post">

<table>
	<tr> <td style="width: 50%;">Nazwa nowego pliku lub folderu:</td> <td colspan="2"><input type="text" name="nazwa" required /></td> </tr>
	<tr> <td></td> <td><input type="radio" name="rodzaj" value="plik" id="op11" checked /><label for="op11">Plik</label></td> <td><input type="radio" name="rodzaj" value="folder" id="op12" /><label for="op12">Folder</label></td> </tr>
</table>

<p class="przyciskWysylania"><input type="submit" value="Utwórz plik lub folder" /></p>

</form>

<?php
}

elseif ( is_dir( DANE . '/' . $sciezka ) ) {

	$plikiWFolderze = array_map( 'basename', glob( DANE . $sciezka . '/*' ) );

	$typyPlikow = array( 'php' => 'Skrypt PHP', 'js' => 'Skrypt JavaScript', 'css' => 'Styl CSS', 'html' => 'Dokument HTML', 'htm' => 'Dokument HTML', 'wtk' => 'Plik konfiguracji WT', 'wtu' => 'Plik ustawień WT', 'wtz' => 'Plik zawartości WT', 'txt' => 'Dokument tekstowy', 'log' => 'Plik dziennika' );
?>

<ul class="listaKafelkowa">
<?php
	foreach ( $plikiWFolderze as $nazwaPliku ) {

		if ( odczytKonf('edytorPlikowOgraniczenia') and ID2 == '/' and ($nazwaPliku == 'strony' or $nazwaPliku == 'szkice' or $nazwaPliku == 'elementy.wtk' or $nazwaPliku == 'konfiguracja.wtk' or $nazwaPliku == 'statystyki.wtk' or $nazwaPliku == 'bledy.log') )
			continue;

		$rozszerzenie = substr( $nazwaPliku, strrpos($nazwaPliku,'.')+1 );
		$folder       = false;
		$edycja       = true;

		if ( is_dir( DANE . ID2 . '/' . $nazwaPliku ) ) {
			$typPliku = 'Folder plików';
			$folder   = true;
		}
		elseif ( isset($typyPlikow[$rozszerzenie]) ) {
			$typPliku = $typyPlikow[$rozszerzenie];
		}
		else {
			$typPliku = 'Nieznany plik';
			if ( odczytKonf('edytorPlikowOgraniczenia') )
				$edycja   = false;
		}
?>
	<li>
		<span><a href="<?php if ($edycja) { echo '?id=edytorPlikow&b='; if ($sciezka != '/') echo $sciezka; echo '/' . $nazwaPliku; } ?>"><?php echo $nazwaPliku; ?></a></span>
		<a href="#"><?php echo $typPliku; ?></a> |
		<?php if ($edycja) { ?><a href="?id=edytorPlikow&b=<?php if ($sciezka != '/') echo $sciezka; echo '/' . $nazwaPliku; ?>"><?php echo ($folder) ? 'Otwórz' : 'Edytuj' ?></a> | <?php } ?>
		<a href="?id=edytorPlikow&b=<?php if ($sciezka != '/') echo $sciezka; echo '/' . $nazwaPliku; ?>&usun=1" onclick="return confirm('Czy na pewno chcesz usunąć ten <?php echo ($folder) ? 'folder' : 'plik' ?>?')">Usuń</a>
	</li>
<?php
	}
?>
	<li class="dodaj">
		<span><a href="?id=edytorPlikow&b=<?php echo ID2; ?>&utworz">Utwórz plik lub folder</a></span>
	</li>
</ul>

<?php
}

else {
	$nazwaPliku   = basename(ID2);
	$rozszerzenie = substr( $nazwaPliku, strrpos($nazwaPliku,'.')+1 );
?>

<form method="post">

<table>
	<tr> <td><textarea name="zawartosc" class="poleEdytora" spellcheck="false"><?php echo htmlspecialchars( otworzPlik( DANE . ID2 ) ); ?></textarea></td> </tr>
	<tr> <td><input name="nazwa" value="<?php echo $nazwaPliku; ?>" class="poleEdytoraNazwa" /></td> </tr>
</table>

<?php if ( $rozszerzenie == 'wtk' or $rozszerzenie == 'wtz' ) { ?>
<p class="uwaga">Uwaga! Nieprawidłowa modyfikacja tego pliku niekoniecznie spowoduje eksplozję twojego komputera, jednak może uniemożliwić prawidłowe funkcjonowanie WizyTówki. Edytuj go ostrożnie.</p>
<?php } ?>

<p class="przyciskWysylania"><input type="submit" value="Zapisz plik" /></p>

</form>

<?php
}
?>

<?php
include (SYSTEM.'/admin/stopka.php');