<?php
// WizyTówka 4
if (!defined('WT')) exit();


$odczytElementow = odczytPlikuWTK('elementy.wtk');
$odczytObszarow  = $odczytElementow['obszary'];

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( !isset($_POST['widocznoscObszaru']) )
		$_POST['widocznoscObszaru'] = 0;

	if ( ID2 == 2 ) {
		$odczytElementow['obszary']['obszarDodatkowy'] = $_POST['tresc'];
		zapisKonf( array( 'obszarDodatkowy' => $_POST['widocznoscObszaru'] ) );
	}
	else {
		$odczytElementow['obszary']['obszarBoczny']    = $_POST['tresc'];
		zapisKonf( array( 'obszarBoczny'    => $_POST['widocznoscObszaru'] ) );
	}

	$odczytObszarow = $odczytElementow['obszary'];  // ponowne pobranie danych w celu odświeżenia

	zapisPlikuWTK( $odczytElementow, 'elementy.wtk' );

	komunikat(1);

}

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Obszar <?php echo ( ID2 == 2 ) ? 'dodatkowy' : 'boczny'; ?></h2>

<form method="post">

<?php
$odczytMotywu = odczytTypuMotywu( 'motywy', odczytKonf('motyw') );
if ( ID2 == 2 )
	$obsluga = $odczytMotywu['mozliwosci']['obszarDodatkowy'];
else
	$obsluga = $odczytMotywu['mozliwosci']['obszarBoczny'];
if ( $obsluga == false ) {
?>
<p class="uwaga">Używany obecnie motyw nie obsługuje tego obszaru. Wprowadzone poniżej zmiany nie będą miały żadnego wpływu na witrynę.</p>
<?php
}
?>

<table>
	<tr> <td><textarea name="tresc" class="polePowiekszone" id="edytorWizualny"><?php echo ( ID2 == 2 ) ? htmlspecialchars($odczytObszarow['obszarDodatkowy']) : htmlspecialchars($odczytObszarow['obszarBoczny']); ?></textarea></td> </tr>
	<tr>
		<td><input type="checkbox" name="widocznoscObszaru" value="1" <?php if ( ID2 == 2 ) zaznaczCheckbox(odczytKonf('obszarDodatkowy')); else zaznaczCheckbox(odczytKonf('obszarBoczny')); ?> <?php wylaczElement($obsluga,false); ?> id="op11" /><label for="op11">Wyświetlaj obszar <?php echo ( ID2 == 2 ) ? 'dodatkowy' : 'boczny'; ?> w witrynie</label></td>
	</tr>
</table>

<?php edytorWizualny(); ?>

<p class="przyciskWysylania"><input type="submit" value="Zapisz obszar <?php echo ( ID2 == 2 ) ? 'dodatkowy' : 'boczny'; ?>" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');