<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( isset($_GET['wyslijTestowyMail']) ) {

	if ( wiadomosc( 'Witaj!' . "\n\n" . 'To jest przykładowa wiadomość e-mail wysłana ze strony ' . odczytKonf('adres') . '.' . "\n\n" . 'Obecność tej wiadomości w twojej skrzynce odbiorczej świadczy o prawidłowej konfiguracji serwera. Wiadomości e-mail będą więc wysyłane prawidłowo.', 'Testowa wiadomość' ) )
		komunikat('dob.Testowa wiadomość została wysłana. Sprawdź swoją pocztę e-mail.');

	else
		komunikat('zle.Testowa wiadomość nie została wysłana. Wysyłanie wiadomości nie działa.');
}

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>O WizyTówce&hellip;</h2>

<style scoped>
p.wersjaWT { text-align: center; font-size: 4em; margin: 0.5em 0; }
p.wersjaWT + p { text-align: center; opacity: 0.7; margin: -2em 0 1em 0; }
td span:not(#JSwlacz):not(#JSwylacz):not(.email) { float: right; }
#JSwlacz { display: none; }
</style>

<p class="wersjaWT">WizyTówka <strong><?php echo WERSJA ?></strong></p>
<p >Ta witryna działa w oparciu o system zarządzania treścią WizyTówka.<br />Data wydania tej wersji systemu: <?php echo WERSJA_DATA ?>.<br /><a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">http://wizytowka.tomaszgasior.kao.pl</a></p>

<?php if ( strpos(WERSJA,'ALFA') !== false or strpos(WERSJA,'BETA') !== false ) { ?>
<p class="uwaga">Uwaga! Używana obecnie wersja WizyTówki jest bardzo wczesnym wydaniem testowym. Nie należy jej używać do celów produkcyjnych, gdyż jej działanie nie zostało w pełni przetestowane w praktyce, a&nbsp;cześć funkcji w ogóle nie działa.</p>
<?php } ?>

<table>
	<tr> <td>Wersja PHP na serwerze:</td> <td><?php echo phpversion() ?> <span>(wymagana minimum wersja: 5.3.7)</span></td> </tr>
	<tr> <td>Przesyłanie wiadomości e-mail:</td> <td><?php echo ( !odczytKonf('wiadomoscEmailNiepomyslnie') ) ? 'działa' : '<span class="email" title="Data ostatniego sprawdzenia: ' . pokazDate(odczytKonf('wiadomoscEmailNiepomyslnie')) . '.">nie działa</span>' ?> <span>(<a href="?id=wizytowka&wyslijTestowyMail">wyślij testową wiadomość</a>)</span></td> </tr>
	<tr> <td>Uprawnienia zapisu folderu <strong><?php echo DANE ?></strong>:</td> <td><?php echo (is_writable(DANE)) ? 'zapisywalny' : 'niezapisywalny' ?> <span>(wymagane do działania)</span></td> </tr>
	<tr> <td>Uprawnienia zapisu głównego folderu:</td> <td><?php echo (is_writable('.')) ? 'zapisywalny' : 'niezapisywalny' ?> <span>(potrzebne do niektórych funkcji)</span></td> </tr>
	<tr> <td>JavaScript w przeglądarce:</td> <td><span id="JSwlacz">właczony</span> <span id="JSwylacz">wyłączony</span> <span>(wysoce zalecany)</span></td> </tr>
</table>

<script>
document.getElementById('JSwlacz').style.display = 'inline';
document.getElementById('JSwylacz').style.display = 'none';
</script>
<?php
include (SYSTEM.'/admin/stopka.php');