<?php
// WizyTówka 4
if (!defined('WT')) exit();


$plikIstnieje = false;

if ( file_exists( odczytKonf('adresPlikow') . '/' . ID2 ) )
	$plikIstnieje = true;

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $plikIstnieje and !empty($_POST['nowaNazwaPliku']) and $_POST['nowaNazwaPliku'] != ID2 ) {

	$_POST['nowaNazwaPliku'] = prostaNazwa( $_POST['nowaNazwaPliku'], false );
	if ( !sprawdzNazwe( $_POST['nowaNazwaPliku'] ) )
		komunikat( 'zle.Nazwa pliku <strong>' . $_POST['nowaNazwaPliku'] . '</strong> jest niewłaściwa.' );

	elseif ( file_exists( odczytKonf('adresPlikow') . '/' . $_POST['nowaNazwaPliku'] ) )
		komunikat( 'zle.Plik o nazwie <strong>' . $_POST['nowaNazwaPliku'] . '</strong> już istnieje.' );

	else {
		przemianujPlik (odczytKonf('adresPlikow') . '/' . ID2, odczytKonf('adresPlikow') . '/' . $_POST['nowaNazwaPliku'] );
		przekierowanie( '?id=wyslanePliki&zmienionoNazwePliku=' . $_POST['nowaNazwaPliku'] );
	}

}

if ( !$plikIstnieje )
	komunikat( 'zle.Plik o nazwie <strong>' . ID2 . '</strong> nie istnieje.' );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Zmiana nazwy pliku</h2>

<form method="post">

<table>
	<tr> <td>Bieżąca nazwa pliku:</td> <td><?php echo ID2; ?></td> </tr>
	<tr> <td>Nowa nazwa pliku:</td> <td><input type=text name="nowaNazwaPliku" value="<?php echo ID2; ?>" required /></td> </tr>
</table>

<p class="uwaga">Uwaga! Nazwę pliku należy zmieniać tylko wtedy, gdy nie został on jeszcze gdziekolwiek wykorzystany. Jeżeli ten plik został już wykorzystany na jakiejkolwiek stronie w witrynie (np. umieszczono go w galerii zdjęć lub w magazynie plików), a jego nazwa zostanie zmieniona, dana strona może przestać działać prawidłowo, a plik zniknie z niej.</p>

<p class="przyciskWysylania"><input <?php wylaczElement($plikIstnieje,false); ?> type="submit" value="Zmień nazwę pliku" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');