<?php
// WizyTówka 4
if (!defined('WT')) exit();


// funkcje używane w panelu administracyjnym

function zapisKonfPOST ( ) {

	// wysokie zabezpieczenie ...wysokiego zabezpieczenia, aby nie można było go złamać przez formularz
	if ( isset($_POST['wysokieZabezpieczenie']) ) {
		unset($_POST['wysokieZabezpieczenie']);
		blad('Nie udało ci się złamać wysokiego zabezpieczenia!');
	}

	if ( isset($_POST['checkboksy']) ) {

		$checkboksy = explode(',',$_POST['checkboksy']);
		unset($_POST['checkboksy']);

		foreach ( $checkboksy as $checkbox ) {
			$wyzerowaneCheckboksy[$checkbox] = '0';
		}
		$_POST = array_replace( $wyzerowaneCheckboksy, $_POST );

	}

	zapisKonf( bezpiecznyHtml($_POST) );

}

function zapisStronyZFormularza ( $tablicaZDanymi, $identyfikator, $szkic = false, $zawartoscZamiastUstawien = false ) {

	if ( isset($_POST['checkboksy']) ) {

		$checkboksy = explode(',',$_POST['checkboksy']);
		if ( isset($tablicaZDanymi['checkboksy']) )
			unset($tablicaZDanymi['checkboksy']);

		foreach ( $checkboksy as $checkbox ) {
			if ( strpos($checkbox,'[') !== false ) {
				$checkbox = explode( '[', $checkbox );
				$wyzerowaneCheckboksy[ $checkbox[0] ][ substr($checkbox[1],0,-1) ] = '0';
				// jeżeli tablica[element], musimy się trochę więcej narobić...
			}
			else
				$wyzerowaneCheckboksy[$checkbox] = '0';
		}

		$tablicaZDanymi = array_replace_recursive( $wyzerowaneCheckboksy, $tablicaZDanymi );

	}



	if ( $szkic ) {
		if ( $zawartoscZamiastUstawien )
			zapiszPlik( DANE . '/szkice/' . $identyfikator . '.wtz', serialize($tablicaZDanymi) );
		else
			zapiszPlik( DANE . '/szkice/' . $identyfikator . '.wtk', serialize(bezpiecznyHtml($tablicaZDanymi)) );
	}
	else {
		if ( $zawartoscZamiastUstawien )
			zapiszPlik( DANE . '/strony/' . $identyfikator . '.wtz', serialize($tablicaZDanymi) );
		else
			zapiszPlik( DANE . '/strony/' . $identyfikator . '.wtk', serialize(bezpiecznyHtml($tablicaZDanymi)) );
	}

}

function edytorWizualny() {

	if ( odczytKonf('sposobEdycjiTekstu') == 'edytorWizualny' and odczytKonf('edytorWizualny') ) {

		if ( odczytKonf('edytorWizualnyStylMotywu') )
			$odczytMotywu = odczytTypuMotywu( 'motywy', odczytKonf('motyw') );
?>
<script src="<?php echo (odczytKonf('edytorWizualnyWlasny')) ? DANE : SYSTEM.'/admin/pliki'; ?>/ckeditor/ckeditor.js"></script>

<script>
	CKEDITOR.replace( 'edytorWizualny', {

		toolbarGroups : [
			{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ] },
			{ name: 'align' },
			{ name: 'list', groups: [ 'blocks', 'list' ] },
			{ name: 'styles' },
			{ name: 'links', groups: [ 'links', 'insert' ] },
			{ name: 'tools', groups: [ 'undo', 'tools', 'mode' ] }
		],
		removeButtons : '<?php echo odczytKonf('edytorWizualnyUkrytePrzyciski') ?>',
		format_tags : '<?php echo odczytKonf('edytorWizualnyFormatowanie') ?>',
		removeDialogTabs : 'image:advanced;link:advanced',

		baseHref : '<?php echo odczytKonf('adres') ?>/',

<?php
		if ( isset($odczytMotywu) and $odczytMotywu['dodatkowe']['edytorWizualny'] ) {
			echo 'contentsCss : "' . odczytKonf('adres') . '/';
			echo ( $odczytMotywu['wlasny'] ) ?  DANE  :  SYSTEM;
			echo '/motywy/' . odczytKonf('motyw') . '/edytor.css",';
		}
?>

		entities_latin : false,
		disableNativeSpellChecker : false,

		defaultLanguage : 'pl',
		language : 'pl',
		title : 'Edytor wizualny',
		stylesSet : false,
		height : '300'

	} );
</script>
<?php
	}

}

function zainstalowaneTypyMotywy ( $element ) {

	if ( $element != 'typy' and $element != 'motywy' )
		return false;

	$wszystkieDane   = glob( DANE   . '/' . $element . '/*/*.wtu' );
	$wszystkieSystem = glob( SYSTEM . '/' . $element . '/*/*.wtu' );
	$wszystkie       = array_unique(  array_map( 'usunRozszerzenie', array_map( 'basename', array_merge($wszystkieSystem,$wszystkieDane) ) )  );

	if ( count($wszystkie) == 0 )
		blad( 'Nie są zainstalowane żadne typy/motywy.' );

	return  $wszystkie;

}

function komunikat( $tresc = null ) {

	if ( empty($tresc) ) {
		$tablica = pamiecPodreczna( 'komunikat' );
		return $tablica['tresc'];
	}

	else {
		if ( $tresc == 1 )
			$tresc = 'dob.Zmiany zostały zapisane.';
		elseif ( $tresc == 2 )
			$tresc = 'zle.Wystąpił błąd.';
		$komunikat = array( 'tresc' => $tresc );
		pamiecPodreczna ( $komunikat, 'komunikat' );
	}

}

function przekierowanie ( $adres ) {

	header ( 'Location: ' . $adres );
	exit();

}

function zaznaczCheckbox ( $ustawienie, $wartoscZaznaczajaca = '1' ) {

	if ( $ustawienie == $wartoscZaznaczajaca )
		echo 'checked';

}

function wylaczElement ( $ustawienie, $wartoscZaznaczajaca = '1' ) {

	if ( $ustawienie == $wartoscZaznaczajaca )
		echo 'disabled';

}

function generujListeWyboru ( $tablica, $wartoscZaznaczona = null ) {

	foreach ( $tablica as $klucz => $wartosc ) {

		echo '<option';

		if ( (!is_numeric($klucz) and $klucz == $wartoscZaznaczona) or (is_numeric($klucz) and $wartosc == $wartoscZaznaczona) )
			echo ' selected';

		if ( !is_numeric($klucz) )
			echo ' value="' . $klucz . '"';

		echo '>' . $wartosc . '</option>';

	}

}

function bezpiecznyHtml ( $x ) {

	if ( is_array($x) ) {
		foreach ( $x as $nazwa => $element )
			$x[$nazwa] = bezpiecznyHtml($element);
		return $x;
	}
	else
		return htmlspecialchars($x);

}