<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, 'numerWKolejnosci' );

	$nieWypelnionoWszystkichPol = false;
	$tresc = 'Formularz kontaktowy — ' . wtOdnosnik();

	foreach ( $wtZawartoscStrony as $klucz => $element ) {

		// jeżeli pole jest puste, nie znajdzie się ono w ogóle w wysyłanej wiadomości
		if ( $element['typElementu'] == 'obszarTekstowy' or !isset($_POST['przeslanyFormularz'][$klucz]) or $_POST['przeslanyFormularz'][$klucz] == '' )
			continue;

		elseif ( $element['wymagany'] and $_POST['przeslanyFormularz'][$klucz] == '' ) {
			$nieWypelnionoWszystkichPol = true;
			break;
		}

		elseif ( $wtUstawieniaStrony['pierwszePoleToTemat'] and !isset($temat) and $element['typElementu'] == 'input' )
			$temat = $_POST['przeslanyFormularz'][$klucz];

		elseif ( $element['typElementu'] == 'select' )
			$_POST['przeslanyFormularz'][$klucz] = htmlspecialchars_decode($_POST['przeslanyFormularz'][$klucz]);

		$tresc .= "\n\n" . htmlspecialchars_decode($element['etykieta']) . ' -------' . "\n\n" . $_POST['przeslanyFormularz'][$klucz];
		$wypelnionoChociazJednoPole = true;

	}

	if ( !isset($temat) or $temat == '' )
		$temat = 'Formularz kontaktowy';

	if ( !isset($wypelnionoChociazJednoPole) )
		$nieWypelnionoWszystkichPol = true;

	pamiecPodreczna( array( 'temat' => $temat, 'tresc' => $tresc, 'nieWypelnionoWszystkichPol' => $nieWypelnionoWszystkichPol ), 'formularzKontaktowy' );

}

elseif ( $wtUstawieniaStrony['zabezpieczeniePrzedSpamem'] )
	setcookie( 'WT_formularz', time()+10, time()+1800 );

	// Jeżeli zabezpieczenie przed spamem jest włączone, e-mail nie zostanie wysłany,
	// jeśli wypełniano go krócej niż 10 sekund (skrypt porówna time() obecny i z ciasteczka).
	// Spamboty zazwyczaj się śpieszą, będą więc wypełniać formularz krócej niż 10 sekund.
	// Zabezpieczenie wymagana obsługi ciasteczek u przeglądającego.
