<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	$formularzKontaktowy = pamiecPodreczna('formularzKontaktowy');

	if ( $formularzKontaktowy['nieWypelnionoWszystkichPol'] ) {
?>
<p class="wtKomunikat">Nie wypełniono wszystkich wymaganych pól.</p>

<?php
	}
	elseif ( $wtUstawieniaStrony['zabezpieczeniePrzedSpamem'] and !isset($_COOKIE['WT_formularz']) ) {
?>
<p class="wtKomunikat">Wymagana jest obsługa ciasteczek w przeglądarce.</p>

<?php
	}
	elseif ( $wtUstawieniaStrony['zabezpieczeniePrzedSpamem'] and time() < $_COOKIE['WT_formularz'] ) {
?>
<p class="wtKomunikat">Formularz został wypełniony zbyt szybko.</p>

<?php
	}
	elseif ( wiadomosc( $formularzKontaktowy['tresc'], $formularzKontaktowy['temat'] ) ) {
?>
<p class="wtKomunikat"><?php echo $wtUstawieniaStrony['komunikatPowodzenia']; ?></p>

<?php
	}
	else {
?>
<p class="wtKomunikat"><?php echo $wtUstawieniaStrony['komunikatNiepowodzenia']; ?></p>

<?php
	}

}

if ( count($wtZawartoscStrony) != 0 ) {

	$tabela            = ($wtUstawieniaStrony['wyswietlanie'] == 'tabela') ? true : false;
	$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, 'numerWKolejnosci' );
?>
<article>

<form method="post" class="wtFormularzKontaktowy">

<?php
	echo ($tabela) ? '<table> ' . "\n" : '';

	foreach ( $wtZawartoscStrony as $klucz => $element ) {

		echo ($tabela) ? '<tr> ' : '';

		if ( $element['typElementu'] == 'obszarTekstowy' )
			echo ($tabela) ? '<td colspan="2">' . htmlspecialchars_decode($element['tresc']) . '</td> ' : '<p>' . htmlspecialchars_decode($element['tresc']) . '</p>' . "\n\n";

		else {

			echo ($tabela) ? '<td class="wtFormularzKontaktowy_etykieta">' : '<p>' . "\n";

			echo '<label for="p' . $klucz . '">' .  tekst($element['etykieta']) . '</label>' . "\n";
			if ( $element['wymagany'] )
				echo '<span class="wtFormularzKontaktowy_gwiazdka">*</span>';

			echo ($tabela) ? '</td> <td>' : '<br />';

			if ( $element['typElementu'] == 'input' ) {
				if ( $element['wymagany'] )
					echo '<input name="przeslanyFormularz[' . $klucz .']" type="' . $element['typDanych'] . '" id="p' . $klucz . '" required />';
				else
					echo '<input name="przeslanyFormularz[' . $klucz .']" type="' . $element['typDanych'] . '" id="p' . $klucz . '" />';
			}

			elseif ( $element['typElementu'] == 'select' ) {
				echo '<select name="przeslanyFormularz[' . $klucz .']" id="p' . $klucz . '"> ';
				foreach ( $element['opcje'] as $opcja)
					echo '<option value="' . $opcja . '">' . tekst($opcja) . '</option> ';
				echo '</select>';
			}

			else {
				if ( $element['wymagany'] )
					echo '<textarea name="przeslanyFormularz[' . $klucz .']" id="p' . $klucz . '" required></textarea>';
				else
					echo '<textarea name="przeslanyFormularz[' . $klucz .']" id="p' . $klucz . '"></textarea>';
			}

			echo ($tabela) ? '</td>' : '</p>' . "\n\n";

		}

		echo ($tabela) ? ' </tr>' . "\n" : '';

	}

	echo ($tabela) ? '<tr> <td colspan="2"> ' : '<p>';
	echo '<input type="submit" value="' . $wtUstawieniaStrony['komunikatPrzycisku'] . '" />';
	echo ($tabela) ? '</td> </tr>' : '</p>';

	echo ($tabela) ? '</table>' . "\n" : '';
?>

</form>

</article>
<?php
}

else {
?>
<p class="wtKomunikat">Do tego formularza kontaktowego nie dodano jeszcze żadnego pola.</p>
<?php
}