<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( defined('ID2') and ID2 == 'brakPliku' ) {
?>
<p class="wtKomunikat">Poszukiwany plik nie istnieje.</p>
<?php
}

if ( count($wtZawartoscStrony) != 0 ) {

	$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, $wtUstawieniaStrony['sortowanie'], $wtUstawieniaStrony['sortowanieOdwrotnie'] );
?>
<article>

<table class="wtMagazynPlikow">
<?php
	if ( $wtUstawieniaStrony['naglowkiKolumn'] ) {

		echo '<tr> <th>Nazwa pliku</th> ';

		if ( $wtUstawieniaStrony['kolumny']['opis'] )
			echo '<th>Opis</th> ';

		if ( $wtUstawieniaStrony['kolumny']['rozmiar'] )
			echo '<th>Rozmiar</th> ';

		if ( $wtUstawieniaStrony['kolumny']['dataDodania'] )
			echo '<th>Data dodania</th> ';

		echo '</tr>' . "\n";

	}

	foreach ( $wtZawartoscStrony as $klucz => $element ) {

		echo '<tr> <td><a href="' . wtOdnosnik( '', $klucz ) . '">' . tekst($element['nazwaWyswietlana']) . '</a></td> ';

		if ( $wtUstawieniaStrony['kolumny']['opis'] )
			echo '<td>' . tekst( htmlspecialchars_decode($element['opis']) ) . '</td> ';

		if ( $wtUstawieniaStrony['kolumny']['rozmiar'] ) {
			echo '<td>';
			if ( file_exists( odczytKonf('adresPlikow') . '/' . $element['nazwaPliku'] ) )
				echo rozmiarPliku( odczytKonf('adresPlikow') . '/' . $element['nazwaPliku']  );
			else
				echo '&mdash;';
			echo '</td> ';
		}

		if ( $wtUstawieniaStrony['kolumny']['dataDodania'] )
			echo '<td>' . pokazDate( $element['dataDodania'] ) . '</td> ';

		echo '</tr>' . "\n";

	}
?>
</table>

</article>
<?php
}

else {
?>
<p class="wtKomunikat">Do tego magazynu plików nie dodano jeszcze żadnego pliku.</p>
<?php
}