<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( zalogowany() )
	przekierowanie('?');

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and isset($_POST['formularzLogowania']) ) {

	if ( isset($_GET['resetowanieHasla']) and odczytKonf('resetowanieHasla') ) {



	}

	else {

		if ( $_POST['czasZalogowania'] == 'doKoncaDoby' )
			$czasZalogowania = mktime( 0, 0, 0, date('m'), date('d')+1, date('Y') );
		else {
			$tablicaCzasu    = array( 'kwadrans' => 900, 'godzina' => 3600, 'jedenDzien' => 86400, 'dwaTygodnie' => 1209600 );
			$czasZalogowania = time() + $tablicaCzasu[ $_POST['czasZalogowania'] ];
		}

		include_once( SYSTEM . '/funkcje/password.php' );

		if (
			!empty($_POST['nazwaUzytkownika']) and !empty($_POST['haslo']) and
			password_verify( $_POST['nazwaUzytkownika'], odczytKonf('administratorNazwa') ) and
			password_verify( $_POST['haslo'], odczytKonf('administratorHaslo') )
		   ) {

			$identyfikatorLogowania = rand(100,999) . rand(100,999) . $czasZalogowania;

			setcookie( 'WT_administracja', $identyfikatorLogowania , $czasZalogowania );
			zapisKonf( array( 'identyfikatorLogowania' => password_hash( $identyfikatorLogowania, PASSWORD_BCRYPT ) ) );

			if ( defined('ID') )
				przekierowanie($_SERVER['REQUEST_URI']);
			else
				przekierowanie( '?id=' . odczytKonf('domyslnaStronaPoLogowaniu') );

		}

		else
			komunikat('zle.Wprowadzone dane logowania są niewłaściwe.');

	}

}

if ( defined('ID') and !komunikat() ) {

	if ( $_SERVER['REQUEST_METHOD'] == 'POST' and !isset($_POST['formularzLogowania']) ) {
		if ( ID == 'ustawieniaStrony' or ID == 'edycjaStrony' )
			komunikat('zle.Sesja wygasła. Należy zalogować się ponownie. Zawartość wprowadzona przed chwilą prawdopodobnie została utracona.');
		else
			komunikat('zle.Sesja wygasła. Należy zalogować się ponownie. Ustawienia wprowadzone przed chwilą prawdopodobnie zostały utracone.');
	}

	else
		komunikat('xxx.Po zalogowaniu nastąpi przekierowanie do właściwej strony.');

}

if ( isset($_GET['wylogowano']) and !komunikat() ) {
	komunikat('dob.Wylogowano się z panelu administracyjnego.');
	header( 'Refresh: 1; url=' . odczytKonf('adres') );
}

if ( isset($_GET['resetowanieHasla']) and !odczytKonf('resetowanieHasla') )
	komunikat('zle.Funkcja resetowania hasła została zablokowana.');

$listaCzasuLogowania = array( 'kwadrans' => 'Kwadrans', 'godzina' => 'Jedna godzina', 'doKoncaDoby' => 'Do końca doby', 'jedenDzien' => 'Jeden dzień', 'dwaTygodnie' => 'Dwa tygodnie' );

$CHOWAC_SIE_KTO_MOZE = true;
include (SYSTEM.'/admin/naglowek.php');
?>
<h2><?php echo odczytKonf('panelAdmin') ?></h2>

<form method="post">

<?php if ( isset($_GET['resetowanieHasla']) and odczytKonf('resetowanieHasla') ) { ?>

<table>
	<tr> <td>Nazwa użytkownika:</td> <td><input type="text" name="nazwaUzytkownika" /></td> </tr>
	<tr> <td>Adres e-mail:</td> <td><input type="password" name="haslo" /></td> </tr>
</table>

<p class="informacja">Na podany adres e-mail zostanie przesłana wiadomość z&nbsp;nowym, losowo wygenerowanym hasłem, które należy po zalogowaniu czym prędzej zmienić.</p>

<p class="przyciskWysylania"><input type="submit" value="Zresetuj hasło" /></p>

<?php } else { ?>

<table>
	<tr> <td>Nazwa użytkownika:</td> <td><input type="text" name="nazwaUzytkownika" /></td> </tr>
	<tr> <td>Hasło:</td> <td><input type="password" name="haslo" /></td> </tr>
</table>

<table>
	<tr> <td>Czas zalogowania:</td> <td><select name="czasZalogowania"><?php generujListeWyboru( $listaCzasuLogowania, odczytKonf('domyslnyCzasLogowania') ) ?></select></td> </tr>
</table>

<p class="przyciskWysylania"><input type="submit" value="Zaloguj się" /></p>

<?php } ?>

<input type="hidden" name="formularzLogowania" value="1" />

</form>

<?php
include (SYSTEM.'/admin/stopka.php');