<?php
// WizyTówka 4
if (!defined('WT')) exit();


$typyElementow = array( 'input' => 'Pole tekstowe', 'textarea' => 'Pole wieloliniowe', 'select' => 'Pole wyboru', 'obszarTekstowy' => 'Obszar tekstowy' );


if ( $wtEtapPaneluAdmin == 3 ) {

	if ( isset($_GET['usun']) and isset($wtZawartoscStrony[ $_GET['usun'] ]) ) {
		unset( $wtZawartoscStrony[ $_GET['usun'] ] );
		$wtWymuszenieZapisu = true;
		$wtKomunikat = 'dob.Element został usunięty z formularza kontaktowego.' ;
	}

	if ( isset($_GET['dodano']) )
		$wtKomunikat = 'dob.Element został dodany do formularza kontaktowego.';

}

elseif ( $wtEtapPaneluAdmin == 2 ) {

	if ( isset($_GET['dodaj']) ) {

		if ( $_POST['typElementu'] == 'obszarTekstowy' )
			$ustawieniaDomyslne['tresc'] = '(obszar tekstowy)';
		else {

			if ( empty($_POST['etykieta']) )
				$ustawieniaDomyslne['etykieta'] = 'Pole bez etykiety';
			else
				$ustawieniaDomyslne['etykieta'] = htmlspecialchars($_POST['etykieta']);

		}

		if ( $_POST['typElementu'] == 'select' ) {
			$ustawieniaDomyslne['opcje']    = array( 'Tak', 'Nie' );
			$ustawieniaDomyslne['wymagany'] = false;
		}
		elseif ( $_POST['typElementu'] == 'input' ) {
			$ustawieniaDomyslne['typDanych'] = 'text';
			$ustawieniaDomyslne['wymagany']  = false;
		}

		$ustawieniaDomyslne['typElementu']      = $_POST['typElementu'];
		$ustawieniaDomyslne['numerWKolejnosci'] = (count($wtZawartoscStrony) > 0) ? max(array_keys($wtZawartoscStrony))+1 : 0;
			// element formularza otrzyma następny w kolejności numer, by wylądować na końcu

		$wtZawartoscStrony[] = $ustawieniaDomyslne;
		header( 'Location: ' . $wtOdnosnik . 'dodano=1' );

	}

	if ( isset($_GET['edycja']) and isset($wtZawartoscStrony[$_GET['edycja']]) ) {

		if ( !is_numeric($_POST['numerWKolejnosci']) or $_POST['numerWKolejnosci'] < 0 )
			$_POST['numerWKolejnosci'] = max(array_keys($wtZawartoscStrony))+1;

		if ( $wtZawartoscStrony[$_GET['edycja']]['typElementu'] == 'select' ) {

			if ( empty($_POST['opcje'][0]) )
				$_POST['opcje'][0] = 'Opcja domyślna';

			foreach ( $_POST['opcje'] as $klucz => $opcja ) {
				if ( empty($opcja) and $klucz != 0 )
					unset( $_POST['opcje'][ $klucz ] );
			}

			$_POST['opcje'] = array_merge($_POST['opcje']);

			if ( !empty($_POST['nowaOpcja']) )
				$_POST['opcje'][] = $_POST['nowaOpcja'];
			unset($_POST['nowaOpcja']);

		}

		elseif ( $wtZawartoscStrony[$_GET['edycja']]['typElementu'] == 'obszarTekstowy' and empty($_POST['tresc']) )
			$_POST['tresc'] = '(obszar tekstowy)';


		// BRZYDKI HACK dla checkboksów, przepraszam ;-(
		if ( $wtZawartoscStrony[$_GET['edycja']]['typElementu'] != 'obszarTekstowy' and !isset($_POST['wymagany']) )
			$_POST['wymagany'] = false;

		$wtZawartoscStrony[ $_GET['edycja'] ] = array_replace( $wtZawartoscStrony[$_GET['edycja']], bezpiecznyHtml($_POST) );

	}

}

elseif ( $wtEtapPaneluAdmin == 1 ) {

	//  === dodawanie pojedynczego elementu =========

	if ( isset($_GET['dodaj']) ) {

		$wtPrzycisk       = 'Dodaj element';
		$wtPotwierdzenie  = true;
?>

<h3>Dodawanie elementu do formularza</h3>

<table>
	<tr> <td>Typ elementu:</td> <td><select id="poleWyboruTypuElementu" name="typElementu"><?php generujListeWyboru($typyElementow); ?></select></td> </td> </tr>
	<tr id="wieszEtykiety"> <td>Etykieta:</td> <td><input type="text" name="etykieta" /></td> </tr>
</table>

<script>
	document.getElementById('poleWyboruTypuElementu').onchange = function() {
		if ( document.getElementById('poleWyboruTypuElementu').value == 'obszarTekstowy' )
			document.getElementById('wieszEtykiety').style.display = 'none';
		else
			document.getElementById('wieszEtykiety').style.display = 'table-row';
	}
</script>

<?php
	}

	//  === edycja pojedynczego elementu ============

	elseif ( isset($_GET['edycja']) and isset($wtZawartoscStrony[ $_GET['edycja'] ]) ) {

		$element = $wtZawartoscStrony[$_GET['edycja']];

		$wtPrzycisk       = 'Zapisz element';
		$wtPotwierdzenie  = true;
?>

<h3>Edycja elementu</h3>

<?php
		if ( $element['typElementu'] == 'obszarTekstowy' ) {
?>

<style scoped>
textarea { height: 200px; }
</style>

<table>
	<tr> <td><textarea name="tresc" class="polePowiekszone" required><?php echo $element['tresc'] ?></textarea></td> </tr>
</table>

<?php
		}
		else {
?>

<table>
	<tr> <td>Typ elementu:</td> <td><?php echo $typyElementow[ $element['typElementu'] ]; ?></td> </td> </tr>
	<tr> <td>Etykieta:</td> <td><input type="text" name="etykieta" value="<?php echo $element['etykieta']; ?>" required /></td> </td> </tr>
</table>

<?php
			if ( $element['typElementu'] == 'select' ) {
?>

<table>
<?php
				foreach ( $element['opcje'] as $klucz => $opcja )
					echo '<tr> <td>Opcja ' . ($klucz+1) . '.:</td> <td><input type="text" name="opcje[' . $klucz . ']" value="' . $opcja . '" placeholder="(usuń tę opcję)" /></td> </tr>' . "\n";
?>
	<tr> <td>Dodaj kolejną opcję:</td> <td><input type="text" name="nowaOpcja" /></td> </tr>
</table>

<?php
			}
			elseif ( $element['typElementu'] == 'input' ) {
				$typyDanych = array( 'text' => 'Zwykły tekst', 'email' => 'Adres poczty e-mail', 'url' => 'Adres strony internetowej', 'number' => 'Liczba lub cyfra', 'datetime-local' => 'Data i godzina', 'date' => 'Data', 'time' => 'Godzina', 'color' => 'Kolor' );
?>

<table>
	<tr> <td>Typ wprowadzanych danych:</td> <td><select name="typDanych"><?php generujListeWyboru($typyDanych,$element['typDanych']) ?></select></td> </tr>
</table>

<p class="uwaga">Prawidłowe wyświetlenie danego rodzaju pola tekstowego zależy wyłącznie od możliwości i zgodności ze standardami używanej przeglądarki.</p>

<?php
			}
		}
?>

<table>
	<tr> <td>Numer w kolejności:</td> <td><input type="number" name="numerWKolejnosci" value="<?php echo $element['numerWKolejnosci'] ?>" min="0" /></td> </tr>
	<?php if ( $element['typElementu'] == 'input' or $element['typElementu'] == 'textarea' ) { ?><tr> <td colspan="2"><input type="checkbox" name="wymagany" value="1" <?php zaznaczCheckbox($element['wymagany']) ?> id="op11" /><label for="op11">Pole wymagane (bez jego wypełnienia nie można wysłać formularza)</label></td> </tr><?php } ?>
</table>

<?php if ( $element['typElementu'] == 'input' or $element['typElementu'] == 'textarea' ) { ?><input type="hidden" name="checkboksy" value="<?php echo $_GET['edycja'] ?>[wymagany]" /><?php } ?>

<?php
	}

	//  === lista wszystkich elementów ==============

	else {

		$wtPrzycisk = -1;
?>

<h3>Elementy dodane do formularza</h3>

<ul class="listaKafelkowa">
<?php
		if ( count($wtZawartoscStrony) > 0 ) {

			$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, 'numerWKolejnosci' );

			foreach ( $wtZawartoscStrony as $numer => $element ) {
				$nazwa = ($element['typElementu'] == 'obszarTekstowy') ? fragment( $element['tresc'], 50 ) : $element['etykieta'];
?>
	<li>
		<span><a title="<?php echo tekst($nazwa); ?>" href="<?php echo $wtOdnosnik; ?>edycja=<?php echo $numer; ?>"><?php echo tekst($nazwa); ?></a></span>
		<a href="#"><?php echo $typyElementow[ $element['typElementu'] ] ?></a> |
		<a href="<?php echo $wtOdnosnik; ?>edycja=<?php echo $numer; ?>">Edytuj</a> |
		<a href="<?php echo $wtOdnosnik; ?>usun=<?php echo $numer; ?>" onclick="return confirm('Czy na pewno chcesz usunąć ten element?');">Usuń</a>
	</li>
<?php
			}

		}
?>
	<li class="dodaj">
		<span><a href="<?php echo $wtOdnosnik; ?>dodaj=1">Dodaj element</a></span>
	</li>
</ul>
<?php
	}

}