<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $wtEtapPaneluAdmin == 3 ) {

	if ( isset($_GET['usun']) and isset($wtZawartoscStrony[ $_GET['usun'] ]) ) {
		unset( $wtZawartoscStrony[ $_GET['usun'] ] );
		$wtWymuszenieZapisu = true;
		$wtKomunikat = 'dob.Plik został usunięty z magazynu plików.' ;
	}

	if ( isset($_GET['dodano']) )
		$wtKomunikat = 'dob.Plik został dodany do magazynu plików.';

}

elseif ( $wtEtapPaneluAdmin == 2 ) {

	if ( isset($_GET['dodaj']) ) {

		$_POST['nazwaWyswietlana'] = $_POST['nazwaPliku'];
		$_POST['dataDodania'] = time();
		$_POST['rozmiarZapamietany'] = filesize( odczytKonf('adresPlikow') . '/' . $_POST['nazwaPliku'] );

		$wtZawartoscStrony[] = bezpiecznyHtml($_POST);
		header( 'Location: ' . $wtOdnosnik . 'dodano=1' );

	}

	if ( isset($_GET['edycja']) and isset($wtZawartoscStrony[$_GET['edycja']]) ) {

		if ( empty($_POST['nazwaWyswietlana']) )
			$_POST['nazwaWyswietlana'] = $wtZawartoscStrony[ $_GET['edycja'] ]['nazwaPliku'];
		$_POST['rozmiarZapamietany'] = filesize( odczytKonf('adresPlikow') . '/' . $wtZawartoscStrony[$_GET['edycja']]['nazwaPliku'] );

		$wtZawartoscStrony[ $_GET['edycja'] ] = array_replace( $wtZawartoscStrony[$_GET['edycja']], bezpiecznyHtml($_POST) );

	}

}

elseif ( $wtEtapPaneluAdmin == 1 ) {

	//  === dodawanie pojedynczego elementu =========

	if ( isset($_GET['dodaj']) ) {

		$liczbaPlikow = count(listaPlikow());

		if ( $liczbaPlikow == 0 ) {
			$wtPrzycisk = false;
?>

<h3>Dodawanie pliku do magazynu plików</h3>

<p class="uwaga">Nie przesłano jeszcze żadnego pliku, dlatego nie można dodać pliku do tego magazynu plików. Aby dodać plik, musisz skorzystać z polecenia <strong><a href="?id=wyslijPliki">Wyślij pliki</a></strong> dostępnego w menu <strong>Zawartość</strong>. Gdy zostanie dodany choć jeden plik, ten komunikat zniknie.</p>

<?php
		}
		else {
			$wtPrzycisk       = 'Dodaj plik';
			$wtPotwierdzenie  = true;
?>

<h3>Dodawanie pliku do magazynu plików</h3>

<table>
	<tr> <td>Dodawany plik:</td> <td><select name="nazwaPliku"><?php generujListeWyboru(listaPlikow()); ?></select></td> </td> </tr>
	<tr> <td>Opis:</td> <td><textarea name="opis"></textarea></td> </tr>
</table>

<?php
		}
	}

	//  === edycja pojedynczego elementu ============

	elseif ( isset($_GET['edycja']) and isset($wtZawartoscStrony[ $_GET['edycja'] ]) ) {

		$element = $wtZawartoscStrony[$_GET['edycja']];

		if ( file_exists( odczytKonf('adresPlikow').'/'.$element['nazwaPliku'] ) ) {
			$wtPrzycisk       = 'Zapisz plik';
			$wtPotwierdzenie  = true;
?>

<h3>Edycja pliku</h3>

<table>
	<tr> <td>Nazwa pliku:</td> <td><?php echo $element['nazwaPliku']; ?></td> </td> </tr>
	<tr> <td>Nazwa wyświetlana:</td> <td><input type="text" name="nazwaWyswietlana" value="<?php echo $element['nazwaWyswietlana']; ?>" /></td> </td> </tr>
	<tr> <td>Opis:</td> <td><textarea name="opis"><?php echo $element['opis']; ?></textarea></td> </tr>
	<tr> <td>Rozmiar:</td> <td><?php echo rozmiarPliku(odczytKonf('adresPlikow').'/'.$element['nazwaPliku']); ?></td> </tr>
	<tr> <td>Data dodania:</td> <td><?php echo pokazDate($element['dataDodania']); ?></td> </tr>
</table>

<p class="informacja">W opisie pliku można używać znaczników HTML.</p>

<?php
		}
		else {
			$wtPrzycisk = false;
?>

<h3>Edycja pliku</h3>

<table>
	<tr> <td>Nazwa pliku:</td> <td><?php echo $element['nazwaPliku']; ?></td> </td> </tr>
</table>

<p class="uwaga">Ten plik został usunięty lub zmieniono jego nazwę, dlatego nie może on pozostawać w tym magazynie plików. Usuń ten plik z magazynu plików lub sprawdź na stronie <strong><a href="?id=wyslanePliki">Wysłane pliki</a></strong> dostępnej z menu <strong>Zawartość</strong>, czy owy plik w ogóle istnieje.</p>

<?php
		}
	}

	//  === lista wszystkich elementów ==============

	else {

		$wtPrzycisk = -1;
?>

<h3>Pliki dodane do magazynu plików</h3>

<ul class="listaKafelkowa">
<?php
		if ( count($wtZawartoscStrony) > 0 ) {

			$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, $wtUstawieniaStrony['sortowanie'], $wtUstawieniaStrony['sortowanieOdwrotnie'] );

			foreach ( $wtZawartoscStrony as $numer => $element ) {
?>
	<li>
		<span><a title="<?php echo tekst($element['nazwaWyswietlana']); ?>" href="<?php echo $wtOdnosnik; ?>edycja=<?php echo $numer; ?>"><?php echo tekst($element['nazwaWyswietlana']); ?></a></span>
		<a href="#"><?php if ( file_exists( odczytKonf('adresPlikow').'/'.$element['nazwaPliku'] ) ) echo rozmiarPliku(odczytKonf('adresPlikow').'/'.$element['nazwaPliku']); else echo 'Plik nie istnieje'; ?></a> |
		<a href="<?php echo $wtOdnosnik; ?>edycja=<?php echo $numer; ?>">Edytuj</a> |
		<a href="<?php echo $wtOdnosnik; ?>usun=<?php echo $numer; ?>" onclick="return confirm('Czy na pewno chcesz usunąć ten plik?');">Usuń</a>
	</li>
<?php
			}

		}
?>
	<li class="dodaj">
		<span><a href="<?php echo $wtOdnosnik; ?>dodaj=1">Dodaj plik</a></span>
	</li>
</ul>
<?php
	}

}